import { EventEmitter } from '../../../../stencil-public-runtime';
/**
 * @deprecated This component will be removed in v8. Please use the `pn-progress-stepper` instead.
 * @see {@link https://portal.postnord.com/web-components/?path=/docs/components-feedback-progress-stepper--docs Use `pn-progress-stepper` instead.}
 */
export declare class PnProgressIndicatorStep {
    activated: boolean;
    done: boolean;
    /** Set by the parent component. Do not use manually. @hide true */
    activeStep: number;
    /** Set by the parent component. Do not use manually. @hide true */
    index: number;
    /** The step name. */
    name: string;
    /** Set the step as checked, meaning a white check mark will appear. */
    checked: boolean;
    /** Set by the parent component. Do not use manually. @hide true */
    active?: 'yes' | 'no';
    setactivestep: EventEmitter<number>;
    setActiveStepHandler(): void;
    componentWillLoad(): void;
    componentDidUpdate(): void;
    checkStatus(): void;
    getClassNames(): string;
    render(): any;
}
